laravel/routes/web.php
<?php

Route::redirect('/', 'login');

Route::view('email-test', 'email');

Auth::routes();

#Se redirecciona la ruta de registro a inicio de sesión
Route::redirect('register', 'login');

Route::view('under-construction', 'errors.under-construction')->name('under-construction');

Route::get('pdf-event', function(){

    $ticket = App\Ticket::first();

    return view('helpdesk.tickets.pdf.event', compact('ticket'));
});

#Rutas que requieren autenticación
Route::group(['middleware' => 'auth'], function () {


    Route::get('/home', 'DashboardController@index');


    Route::get('/', 'DashboardController@index')->name('home');
     

    #Notificaciones
    Route::get('notifications', 'NotificationsController@index')->name('notifications');
    Route::post('notification/{notification}/read', 'NotificationsController@read')->name('read-notification');
    Route::post('notification/archive', 'NotificationsController@destroy')->name('archive-notification');
    Route::get('notification/list-archive', 'NotificationsController@list_archive')->name('list-archive');


    #Busqueda avanzada
    Route::get('search', 'TicketController@advance_search')->name('advance-search');
    

    #Ticket
    Route::resource('tickets', 'TicketController');
    Route::post('tickets/archive', 'TicketController@archive_tickets')->name('archive-tickets');
    Route::get('ticket_list_archive', 'TicketController@list_archive')->name('list-archive-tickets');
    Route::get('tickets/{ticket}/show_deleted', 'TicketController@show_deleted')->name('show_deleted');
    Route::post('tickets/unarchive', 'TicketController@unarchive_tickets')->name('unarchive-tickets');
    Route::post('{ticket}/set-public-comment', 'TicketController@set_public_comment')->name('public-comment')->middleware('ticket_owner');
    // Route::post('{ticket}/set-internal-comment', 'TicketController@set_internal_comment')->name('internal-comment')->middleware('role:admin,agent,manager');
    Route::post('tickets/{ticket}/download', 'TicketController@to_pdf')->name('export_ticket_to_pdf');

    #Reabrir ticket
    Route::post('reopen_ticket/{ticket}', 'ReopenTicketController@reopen_ticket_action')->name('reopen_ticket')->middleware('role:company,agent');
    Route::get('read_reopen_ticket/{reopen_ticket}', 'ReopenTicketController@mark_reopen_ticket_as_read')->name('read_reopen_ticket');
    

    #Tareas
    Route::resource('tickets.tasks', 'TaskController')->only(['store', 'show', 'update', 'destroy']);
    Route::post('tickets/{ticket}/tasks/{tasks}/start_end_task', 'TaskController@start_end_task')->name('start-end-task');
    Route::get('tasks', 'TaskController@index')->name('agent-tasks')->middleware('role:agent');
    Route::post('tickets/{ticket}/tasks/{tasks}/reassing', 'TaskController@reassign')->name('reassing-task');
    Route::resource('tickets.tasks.events', 'TaskEventController');
    

    #Asignar proyecto
    Route::post('ticket/{ticket}/assign_to_project', 'ProjectTicketController@assign_ticket_to_project')->name('assign_to_project');

    #Departamentos
    Route::resource('departments', 'DepartmentController');
    Route::get('departments/{department}/agents', 'DepartmentController@get_department_agents')->name('get_department_agents');


    #Grupos de Departamentos
    Route::resource('departments.groups', 'DepartmentGroupController');
    

    #Agentes
    Route::resource('agents', 'AgentController');
    

    #Compañias
    Route::resource('companies', 'CompanyController');
    

    #Equipos
    Route::resource('companies.gears', 'GearController')->except(['create']);
    Route::resource('companies.gears.modules', 'GearModuleController');
    

    Route::post('insert/{module}/into/{gear}', 'GearModuleController@insert_module')->name('insert_module');
    Route::post('remove/{module}', 'GearModuleController@remove_module')->name('remove_module');


    Route::get('{type}/get-brands', 'GearController@get_brands')->name('get_brands');
    Route::get('{brand}/get-models', 'GearController@get_models')->name('get_models');
    Route::get('{company}/{model}/gears', 'GearController@get_gears_by_model')->name('get_gears_by_model');
    Route::post('reassing/{gear}', 'GearController@reassign_gear_to_zone')->name('reassign_gear_to_zone');
    Route::post('companies/{company}/gears/search', 'GearController@search_gear')->name('search_gear');
    Route::post('companies/{company}/gears/download', 'GearController@download_company_gear')->name('download_company_gear');


    #Zonas de compañias
    Route::resource('companies.zones', 'CompanyZonesController');
    
    
    #Tipos de contacto
    Route::resource('contact-types', 'CompanyUserTypeController');


    #Contactos de compañias
    Route::resource('companies.contacts', 'CompanyUserController');
    Route::get('{zone}/get_contacts', 'CompanyUserController@get_zone_contacts')->name('get_zone_contacts');


    #Catalogos de contacto
    Route::resource('companies.contact-catalogs', 'ContactCatalogController');


    #Zonas usuarios
    Route::resource('zoneusers', 'ZoneUserController');


    #Marcas de equipo
    Route::resource('brands', 'GearBrandController')->except(['create', 'edit']);
    

    #Agregar tipos de equipo a marcas
    Route::resource('brands.types', 'BrandTypeController');


    #Tipos de equipo
    Route::resource('types', 'GearTypeController')->except(['index', 'create', 'edit']);


    #Modelos de equipo
    Route::resource('brands.types.models', 'GearModelController')->except(['create', 'edit']);
    

    #Garantias
    Route::resource('warranties', 'WarrantyController');


    #Coberturas
    Route::resource('coverages', 'CoverageController');
    

    #Contratos
    Route::resource('contracts', 'ContractController');
    

    #Acuerdos se servicio (SLA)
    Route::resource('sla', 'SLAController');
    

    #Opciones ticket
    Route::resource('ticket-options', 'TicketOptionController');    


    #Estatus ticket
    Route::resource('status', 'StatusController');
    

    #Severidad ticket
    Route::resource('severity', 'SeverityController');
    

    #Categorias ticket
    Route::resource('category', 'CategoryController');
    Route::resource('category.subcategory', 'SubCategoryController');
    

    #Perfil 
    Route::resource('profile', 'ProfileController');
    

    #Directorio
    Route::resource('directory', 'DirectoryController');


    #Encuestas
    Route::resource('users', 'UserController');
    

    #Encuestas
    Route::resource('surveys', 'SurveyController');


    #Preguntas
    Route::resource('surveys.questions', 'QuestionController');


    #Reportes
    Route::get('reports', 'ReportController@index')->name('reports');
    Route::get('reports/{company}/contacts', 'ReportController@get_company_contacts')->name('get_company_contacts');
    Route::get('reports/{company}/contracts', 'ReportController@get_company_contracts')->name('get_company_contracts');
    Route::get('reports/{company}/company_gears', 'ReportController@get_company_gears')->name('get_company_gears');
    Route::get('reports/{company}/coverages', 'ReportController@get_company_coverages')->name('get_company_coverages');
    Route::post('reports/get_report', 'ReportController@get_report')->name('get_report');



    #Proyectos por compania
    Route::resource('companies.projects', 'CompanyProjectController');
    Route::post('companies/{company}/projects/{project}/project_ticket', 'ProjectController@project_ticket')->name('new-project-ticket');

    #Proyectos general
    Route::resource('projects', 'ProjectController');
    Route::get('project/details', 'ProjectController@project_details')->name('project_details');
    Route::post('project/{project}/cancel', 'ProjectController@cancel_project')->name('cancel_project');
    Route::post('project/{project}/active', 'ProjectController@active_project')->name('active_project');

    #Inventario
    Route::resource('inventories', 'InventoryController');
    Route::resource('inventories.stock', 'StockController');
    Route::post('inventories/{inventory}/stock/{stock}/assign_company_to_gear', 'StockController@assign_gear_to_company')->name('assign_gear_to_company');

    #Cotizaciones
    Route::resource('companies.projects.quotations', 'QuotationController');
    Route::post('companies/{company}/projects/{project}/validate_quotation', 'QuotationController@validate_quotation')->name('validate_quotation');
});

laravel/app/Project.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Project extends Model
{
    

	protected $table   = 'projects';
	public $timestamps = true;
	protected $guarded = [];


    public function project_tickets()
    {

        
        return $this->hasMany('App\ProjectTicket', 'project_id', 'id');


    }

    public function company_project()
    {
        return $this->hasOne('App\CompanyProject', 'project_id', 'id');
    }

    public function get_tickets()
    {


    	return $this->hasMany('App\ProjectTicket', 'project_id', 'id');


    }

    public function members()
    {

        return $this->hasMany('App\ProjectMember', 'project_id', 'id');

    }

    public function history()
    {

        return $this->hasMany('App\ProjectHistory', 'project_id', 'id');

    }

    public function getOwnerMemberAttribute()
    {
        $member = null;

        if ($this->members()->count() > 0){
            $member = $this->members()->where('type', 'owner')->first();

            $member = $member->user;
        }

        return $member;

    }


    public function getTicketsAttribute(){


        $tickets = collect([]);

        $this->get_tickets->each(function($item) use ($tickets) {

            $ticket = [

                'ticket' => $item->ticket,
                'status' => $item->ticket->get_status

            ];


            $tickets->push($ticket);

        });

        return $tickets;

    }


    public function quotation(){


        return $this->hasOne('App\Quotation', 'project_id', 'id');

    }

    public function getStepAttribute(){


        $step = null;

        switch ($this->status) {
            case 2:
                $step = 'Cotización';
                break;

            case 3:
                $step = 'Producción';
                break;

            case 4:
                $step = 'Documentación';
                break;
            
            case 3:
                $step = 'Facturación';
                break;

            default:
                $step = 'Inicio';
                break;
        }

        return $step;


    }

    public function getRevisionTicketsAttribute()
    {

        $tickets = $this->tickets()->where('phase', 1)->get();

    }

    public function getQuotationTicketsAttribute()
    {

        $tickets = $this->tickets()->where('phase', 2)->get();

    }

    public function getProductionTicketsAttribute()
    {

        $tickets = $this->tickets()->where('phase', 3)->get();

    }

    public function getDocumentationTicketsAttribute()
    {

        $tickets = $this->tickets()->where('phase', 4)->get();

    }

    public function getBillingTicketsAttribute()
    {

        $tickets = $this->tickets()->where('phase', 5)->get();

    }
}

laravel/app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Database\Eloquent\SoftDeletes;

class User extends Authenticatable
{
    use Notifiable;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'first_name', 'last_name', 'email', 'password', 'role', 'username',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function agent()
    {

        return $this->hasOne('App\Agent', 'user_id', 'id');

    }

    public function zones()
    {

        return $this->hasMany('App\ZoneUser', 'user_id', 'id');

    }

    public function contact()
    {

        return $this->hasOne('App\CompanyUser', 'user_id', 'id');

    }

    public function getFullNameAttribute()
    {

        return "{$this->first_name} {$this->last_name}";

    }

    public function companies()
    {

        #coleccion de compañias
        $companies = collect([]);
        
        #se verifica que una compañia se agregue solo una vez
        $zones = collect([]);

        $this->zones->each(function($zone) use ($companies, $zones) {
            collect($zone->company->all_childs())->each(function($zone) use ($companies, $zones) {

                if(!in_array($zone->id, $zones->toArray())){
                    
                    $zones->push($zone->id);
                    $companies->push($zone);

                }

            });
        });

        return $companies;
    }

    public function getAgentIsSupervisorAttribute()
    {
        $result = false;

        if ( isset( $this->agent ) ) {
            
            if ( optional( $this->agent->department )->supervisor_id == $this->agent->id ) {
                
                $result = $this->agent->department;

            }

        }

        return $result;
    }

    public function getAgentAsManagerAttribute()
    {
        $result = false;

        if ( isset( $this->agent ) ) {
            if ( $this->agent->as_manager ) {
                $result = true;
            }
        }

        return $result;
    }

    public function getAgentsInGroupAttribute()
    {   
        $agents_in_groups = false;

        if ( isset( $this->agent ) ) {
            $groups = $this->agent->supervisor_in_groups;

            if($groups->count() > 0){

                $agents_in_groups = [];

                foreach($groups as $group){
                    
                    if ($agents = $group->agents()->count() > 0) {

                        $agents = $group->agents()->with('agent')->get()->pluck('agent.id');

                        foreach($agents as $agent){

                            if( ! in_array($agent, $agents_in_groups)){

                                array_push($agents_in_groups, $agent); 

                            }
                        }
                    }
                }
            }
        }

        return $agents_in_groups;
    }

    public function getZonesFromContactTypeAttribute()
    {
        $ids = false;
        if ( isset( $this->contact ) ) {

            foreach ($this->zones as $zone) {

                $ids[$zone->company->id] = $zone->company->id;
                #se obtendran las companias de las zonas
                if (optional($zone->company)->id) {
                    #se obtendran los hijos de la compania si son de contacto principal
                    if ($zone->role == 'Contacto Principal') {

                        $company_childs = $zone->company->all_childs();

                    } else {

                        $company_childs = $zone->company->childs;

                    }

                    if (count($company_childs) > 0) {

                        foreach ($company_childs as $company_child) {

                            $ids[$company_child->id] = $company_child->id;
                        }

                    }
                }
            }
        }

        return $ids;
    }

    public function tickets_contact()
    {
        return $this->hasMany('App\Ticket', 'contact_id', 'id');
    }
}

laravel/resources/views/helpdesk/projects/partials/active_cancel_project_button.blade.php
@role('admin', 'manager')    
    @if ($project->condition)
        <form action="{{ route('cancel_project', $project->fup) }}" method="post" enctype="multipart/form-data">
    @else
        <form action="{{ route('active_project', $project->fup) }}" method="post" enctype="multipart/form-data">
    @endif
        {{ csrf_field() }}
        @if ($project->condition)
            <button type="submit" class="btn btn-outline-danger" onclick="return confirm('¿Estás seguro que deseas cancelar el proyecto {{ $project->title }}?')">
                Cancelar proyecto
            </button>
        @else
            <button type="submit" class="btn btn-outline-success">
                Activar proyecto
            </button>
        @endif
    </form>
@endrole

laravel/resources/views/helpdesk/projects/partials/form.blade.php
<div class="row form-row">
    <div class="form-group col-sm-4 mx-auto">
        <label><b>Información de proyecto</b></label>
        <p>Campos requeridos marcados con <span class="text-danger">(*)</span></p>
    </div>
</div>

@isset($global)

    <div class="row form-row">
        <label for="" class="col-sm-4 text-right col-form-label">
            <span class="text-danger">*</span>
            Compañia:
        </label>
        <div class="form-group col-sm-4">
            <select name="company_id" id="company_master_select" class="form-control" @change="get_company_gears_models" required>
                <option disabled selected value>Elige una compañia</option>
                @foreach($companies as $company)
                    
                    <option value="{{ $company->id }}">{{ $company->name }}</option>

                @endforeach
            </select>
        </div>
    </div>
    <div class="row form-row" v-if=" zones ">
        <label for="" class="col-sm-4 text-right col-form-label">
            Sitio:
        </label>
        <div class="form-group col-sm-4">
            <select name="company_id" class="form-control">
                <option selected value>Elige un sitio (opcional)</option>
                <option v-for="zone in zones" :value="zone.id">@{{ zone.name }}</option>
            </select>
        </div>
    </div>

@endisset

<div class="row form-row">
    <label class="col-sm-4 text-right col-form-label">
        <span class="text-danger">*</span>
        FUP:
    </label>
    <div class="form-group col-sm-2">
        <input type="text" name="fup" class="form-control" value="{{ $project->fup or old('fup') }}" autofocus required>
    </div>
</div>

<div class="row form-row">
    <label class="col-sm-4 text-right col-form-label">
        <span class="text-danger">*</span>
        Título:
    </label>
    <div class="form-group col-sm-4">
        <input type="text" name="title" class="form-control" value="{{ $project->title or old('title') }}" required>
    </div>
</div>

<div class="row form-row">
    <label class="col-sm-4 text-right col-form-label">
        Fecha Inicio:
    </label>
    <div class="form-group col-sm-2">
        <input type="text" name="start_date" class="form-control datepicker" value="{{ $project->start_date or old('start_date') }}">
    </div>
</div>

<div class="row form-row">
    <label class="col-sm-4 text-right col-form-label">
        Fecha Final:
    </label>
    <div class="form-group col-sm-2">
        <input type="text" name="end_date" class="form-control datepicker" value="{{ $project->end_date or old('end_date') }}">
    </div>
</div>


<div class="row form-row">
    <label class="col-sm-4 text-right col-form-label">
        <span class="text-danger">*</span>
        Descripción:
    </label>
    <div class="form-group col-sm-4">
        <textarea name="description" rows="4" class="form-control" required>{{ $project->description or old('description') }}</textarea>
    </div>
</div>

laravel/resources/views/helpdesk/projects/partials/generate-quotation.blade.php
@component('helpdesk.components.modal', [
	'id' 	=> 'generateQuotationModal',
	'title' => 'Generar Cotización',
	'size' 	=> 'modal-lg'
])

	@slot('body')

		<form @submit.prevent="addResourceToQuotation">
			
			{{ csrf_field() }}
			
			<div class="form-group" style="background: #f8f9fa; margin: -14px -14px 15px; padding: 15px; border-bottom: 1px solid #f2f2f2;">
				
				<div class="form-row d-flex align-items-end">
					
					<div class="col-sm-2">
						<label>Cantidad</label>
						<input name="qty" type="number" class="form-control" required>
					</div>
					<div class="col-sm-6">
						<label>Tipo de recurso</label>
						
						<input name="name" type="text" class="form-control" required>
					</div>
					<div class="col-sm-3">
						<label>Sub-total</label>
						
						<div class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text">$</span>
							</div>
							<input name="subtotal" type="number" step=".01" class="form-control" aria-label="Amount (to the nearest dollar)" required>
						</div>
					</div>
					<div class="col-sm-1">
						<button type="submit" class="btn btn-info btn-block">
							<i class="fa fa-plus" style="margin: 0 !important"></i>
						</button>
					</div>
					
				</div>
			</div>

		</form>

		<table v-if="quotation_resources.length > 0" class="table table-bordered table-striped mt-4 mb-0">
			
			<thead>
				<tr>
					<th style="width: 15%">Cantidad</th>
					<th>Tipo de recurso</th>
					<th style="width: 20%" class="text-right">Sub-total</th>
				</tr>
			</thead>
			
			<tbody>
				
				<tr v-for="(resource, index) in quotation_resources">
					<td>@{{ resource.qty }}</td>
					<td class="d-flex">
						
						@{{ resource.name }}
						
						<a href="#" class="ml-auto" @click.prevent="remove_resource(index)">
							<i class="fa fa-times fa-xs text-danger"></i>
						</a>

					</td>
					<td class="text-right">@{{ resource.subtotal | currency }}</td>
				</tr>
				
				<tr class="bg-secondary">
					<th colspan="2" class="text-right">TOTAL:</th>
					<th class="text-right">@{{ quotation_total() | currency }}</th>
				</tr>

			</tbody>
			
		</table>

		<p v-else class="m-0">No se han agregado recursos a la cotización</p>

	@endslot
	
	@slot('footer')
		
		<form action="{{ route('companies.projects.quotations.store', [$company, $project]) }}" method="POST" @submit.prevent="save_quotation">
			
			{{ csrf_field() }}


			<input type="hidden" name="resources" :value="resources_list()">


			<button type="submit" class="btn btn-success"><i class="fa fa-check"></i> Guardar Cotización</button>

		</form>

	@endslot

@endcomponent

laravel/resources/views/helpdesk/projects/partials/new-ticket.blade.php
@component('helpdesk.components.modal', [

	'id' => 'newTicketModal',
	'title' => 'Nuevo Ticket',
	'size' => 'modal-lg'

])

		
	@slot('body')

	
		<form action="{{ route('new-project-ticket', [$company, $project->fup]) }}/" method="post" id="newTicketForm" @submit.prevent="new_ticket">
			
			@include('helpdesk.projects.partials.ticket-form')

		</form>


	@endslot


	@slot('footer')
	
		<button type="submit" form="newTicketForm" class="btn btn-success">
			
			<i class="fa fa-check"></i> Enviar Ticket

		</button>

	@endslot


@endcomponent

laravel/resources/views/helpdesk/projects/partials/require-revision.blade.php
@component('helpdesk.components.modal', [

	'id' => 'requireRevisionModal',
	'title' => 'Solicitud de levantamiento',
	'size' => 'modal-lg'

])

		
	@slot('body')

		
		<form action="{{ route('new-project-ticket', [$company, $project->fup]) }}/" method="post" id="requiredRevisionForm" @submit.prevent="require_revision">
			
			<input type="hidden" name="revision" value="1">

			@include('helpdesk.projects.partials.ticket-form')

		</form>


	@endslot


	@slot('footer')

		<button class="btn btn-success" form="requiredRevisionForm"><i class="fa fa-check"></i> Enviar Ticket</button>

	@endslot


@endcomponent

laravel/resources/views/helpdesk/projects/partials/ticket-form.blade.php
{{ csrf_field() }}


<div class="form-row">
	<div class="col-sm-9 ml-auto">
		<p>Campos requeridos marcados con <span class="text-danger">(*)</span></p>
	</div>
</div>


{{-- Asunto --}}
<div class="form-group">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
	
			<span class="text-danger">*</span>

			Asunto:

		</label>
		<div class="col-sm-6">
			<input type="text" class="form-control" name="subject" required>
		</div>
	</div>

</div>

{{-- Descripcion --}}
<div class="form-group">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			<span class="text-danger">*</span>
			Descripción:
		</label>
		<div class="col-sm-6">
			<textarea name="description" rows="4" class="form-control" required></textarea>
		</div>
	</div>

</div>

{{-- Departamento y agente --}}
{{-- Departamento --}}	
<div class="form-group">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			<span class="text-danger">*</span>
			Departamento:
		</label>

		<div class="col-sm-4">
			<select name="department" class="form-control" required @change.prevent="get_department_agents" required>
				<option disabled selected value="">Elige una opción</option>

				@foreach(App\Department::get() as $department)

				<option value="{{ $department->id }}">{{ $department->name }}</option>

				@endforeach
			</select>
		</div>
	</div>

</div>	

{{-- Agente --}}
<div class="form-group" v-if="newticket.department.agents">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			<span class="text-danger">*</span>
			Agente:
		</label>
		
		<div class="col-sm-4">
			<select name="agent" class="form-control" required>
				<option disabled selected value="">Elige una opción</option>
				<option v-for="agent in newticket.department.agents" :value="agent.id">@{{ agent.user.first_name +' '+ agent.user.last_name }}</option>
			</select>
		</div>
	</div>

</div>



{{-- Severidad --}}
<div class="form-group">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			<span class="text-danger">*</span>
			Severidad:
		</label>

		<div class="col-sm-2">
			<select name="severity_id" class="form-control" required>
				<option disabled selected value="">Elige una opción</option>

				@if($company->urgent_tickets)
			
					@foreach(App\Severity::get() as $severity)
						<option value="{{ $severity->id }}" {{ $severity->name == 'Normal' ? 'selected' : '' }}>{{ $severity->name }}</option>
					@endforeach

				@else
				
					@foreach(App\Severity::where('name', '<>', 'Urgente')->get() as $severity)
						<option value="{{ $severity->id }}" {{ $severity->name == 'Normal' ? 'selected' : '' }}>{{ $severity->name }}</option>
					@endforeach

				@endif

			</select>
		</div>
	</div>

</div>



{{-- Contacto --}}
<div class="form-group">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			<span class="text-danger">*</span>
			Contacto:
		</label>

		<div class="col-sm-4">
			<select name="contact_id" class="form-control" required>
				<option disabled selected value="">Elige una opción</option>

				@foreach($company->contacts as $contact)

				<option value="{{ $contact->user->id }}">{{ $contact->full_name }}</option>

				@endforeach
			</select>
		</div>
	</div>

</div>



{{-- Categorias --}}
<div class="form-group">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			<span class="text-danger">*</span>
			Categoría 1:
		</label>
		
		<div class="col-sm-4">
			<select name="category_id" class="form-control" @change.prevent="get_sub_categories(2)" required>
				<option disabled selected value>Elige una opción</option>
				@foreach(App\Category::where('parent_id', null)->get() as $category)
		
				<option value="{{ $category->id }}">{{ $category->name }}</option>

				@endforeach
			</select>
		</div>
	</div>

</div>

<div class="form-group" v-if="newticket.categories.b.length > 0">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			Categoría 2:
		</label>
		
		<div class="col-sm-4">
			<select name="subcategory_b" class="form-control" id="subCategoriesB" @change.prevent="get_sub_categories(3)">
				<option disabled selected value>Elige una opción</option>
				<option v-for="subcategory_b in newticket.categories.b" :value="subcategory_b.id">@{{ subcategory_b.name }}</option>
			</select>
		</div>
	</div>

</div>

<div class="form-group" v-if="newticket.categories.c.length > 0">
	
	<div class="form-row">
		<label class="col-form-label col-sm-3 text-right">
			Categoría 3:
		</label>
		
		<div class="col-sm-4">
			<select name="subcategory_c" class="form-control" id="subCategoriesC">
				<option disabled selected value>Elige una opción</option>
				<option v-for="subcategory_c in newticket.categories.c" :value="subcategory_c.id">@{{ subcategory_c.name }}</option>
			</select>
		</div>
	</div>

</div>

laravel/resources/views/helpdesk/projects/partials/tickets.blade.php
<div class="card mt-3" v-if="quotation && quotation.accepted == 1 && project.condition">
	<div class="card-header d-flex align-items-center">
		<p class="lead m-0">Tickets de proyecto</p>
		<a href="#" class="btn btn-primary ml-auto" data-toggle="modal" data-target="#newTicketModal">
			<i class="fa fa-plus"></i> Nuevo Ticket
		</a>
	</div>
	<table v-if="tickets" class="table table-striped m-0">
		<thead>
			<tr>
				<th>#Ticket</th>
				<th>Asunto</th>
				<th>Estado</th>
			</tr>
		</thead>
		<tbody>
			<tr v-for="item in tickets">
				<td>
					
					<a :href="ticket_route(item.ticket.ticket_id)" target="_blank">
						#@{{ item.ticket.ticket_id }}
					</a>

				</td>
				<td>@{{ item.ticket.subject }}</td>
				<td>@{{ item.status.name }}</td>
			</tr>
		</tbody>
	</table>

	<div v-else class="card-body">
		No se han agregado tickets al proyecto.
	</div>

</div>